import sys
import random

if len(sys.argv) != 2:
    print(f'Usage:\n  {sys.argv[0]} <n>')
    sys.exit(1)
    
n = int(sys.argv[1])
objects = list(range(n))
random.shuffle(objects)

for i in range(n):
    for j in range(i+1,n):
        objects[j] -= objects[j] >= objects[i]

print('Instructions: Collect the objects into a stack. For each number, take the item at that position from the original stack and move it to an output stack.\n')
for i in range(0, n, 6):
    print('  ' + ' '.join(f'{j:2d}' for j in objects[i:i+6]))
